ubuntu14.04 apt-get update失败怎么办

ubuntu14.04 apt-get update之后一直没有无法下载?求教~~ 图片说明

3个回答

看后面的提示,应该是找不到链接地址,404 Not Found
1.查看网络是否正常连接
2.备份源 sudo cp /etc/apt/sources.list /etc/apt/sources.list.backup
3.国内网络使用ubuntu,建议把/etc/apt/sources.list替换成国内的源,网络上搜索ubuntu源有很多,注意你的ubuntu版本
4.sudo apt-get update

更新一下源,可以换成网易的,或者搜狐的。

我也是这个问题,怎么解决

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
ubuntu 14.04 apt-get update失败的解决办法
ubuntu 14.04 apt-get update失败解决方法 在ubuntu14.04版本(虚拟机)安装jdk之前,一般我们会执行以下命令从源下载更新到系统 sudo apt-get install update 但这时总会出现形似:”fetch http://……失败。。。“ 的错误 尝试过在ubuntu自带的”system setting“中修改为国内的源,但总是不成功。 ...
ubuntu14.10系统_apt-get_update失败解决办法
Ubuntu14.10系统 apt-get update失败解决办法 实验室服务器使用的是Ubuntu14.10,使用apt-get的时候发现ubuntu和阿里云均已经不提供该版本的源,所以需要找到其他的替代源,找到这篇文章解决了我的问题,现在转载一下,方便以后查阅 笔者使用的ubuntu版本是14.10,属于非LTS(长期支持版本),因此前一段时间还可以使用apt-get update来更新源
Ubuntu14.04 运行命令 sudo apt-get update出现无法解析 软件无法下载的错误
sudo apt-get update
Ubuntu系统 apt-get update失败解决办法
(测试系统Ubuntu14.10和9.10) 使用apt-get的时候发现ubuntu和阿里云均已经不提供该版本的源,所以需要找到其他的替代源。 使用的ubuntu版本是14.10,属于非LTS(长期支持版本),因此前一段时间还可以使用apt-get update来更新源,现在已提示更新失败,无法下载,无法访问了。现提供一种解决思路供大家参考。 第一步 Ubutun版本的更新比
ubuntu 14.04LTS apt-get update时出现错误解决
ubuntu 14.04LTS apt-get update出现错误提示如下: W: GPG error: http://ppa.launchpad.net trusty Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY C251824
关于阿里云ecs apt 源 update 失败问题
在阿里云的服务器上,如果要安装一些自定义源,发现 apt-get update时 自己添加的源(例如php7.0)出现  403 问题,不能更新 只需要把 /etc/apt/apt.conf 的 地址注销就ok 再次 apt-get update 就 ok
Ubuntu apt-get update 失败
情景:apt-get碰上了”fetch http://……失败”。。。 原因:应该是政+府把国外的那个官网屏蔽了。。。 解决:登上”阿里云Ubuntu源”: https://www.yurendu.com/code/16.html 命令如下: sudo cp /etc/apt/sources.list /etc/apt/sources.list.bak #1、备份
Ubuntu14.04 运行命令 sudo apt-get update出现GPG error
http://askubuntu.com/a/512173/198920 sudo apt-get clean sudo mv /var/lib/apt/lists /var/lib/apt/lists.broke sudo mkdir -p /var/lib/apt/lists/partial sudo apt-get update
Ubuntu apt-get update 更新失败
背景:昨天遇到个问题,Ubuntu用命令 apt-get update 更新软件后碰到了连接不上相应ip的问题, 如下: W: 仓库 “http://mirrors.aliyun.com/ubuntu xenial Release” 没有 Release 文件。 N: 无法认证来自该源的数据,所以使用它会带来潜在风险。 N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的...
【Linux】apt-get update更新失败,找不到xxx
提示什么索引错误导致找不到xxx,花了点时间才解决这个问题。 先删除缓存: sudo rm -vrf /var/lib/apt/lists/* 一般这样会解决问题,如果没解决的话。 再次删除缓存,接着修改dns sudo vim /etc/resolv.conf nameserver 8.8.8.8 这个时候update就没问题了。
【树莓派开发-Linux】sudo apt-get update
要用apt-get这种方式安装LAMP时,最好先运行下面在命令升级自己的系统这样是为了更新源,而如果你找的源不好,可能安装LMAP失败。 #sudo apt-get update 获得最近的软件包的列表;列表中包含一些包的信息,比如这个包是否更新过 #sudo apt-get dist-upgrade 如果这个包没有发布更新,就不管它;如果发布了更新,就把包下载到电脑上,并安装。 a
apt-get update不成功的解决方法
1、apt-get update的时候不成功,如下图所示; 解决方法: 修改DNS,文件是/etc/resolve.conf,添加nameserver 8.8.8.8 2、添加后再次运行又显示错误,和锁相关,如下图所示: 解决方法: 将apt-get进程kill掉,具体如下图所示: 再次运行apt-get -y update就成功了。
sudo apt-get update连接失败问题解决
在安装python-pip时出现连接失败错误 进而在执行sudo apt-get update是也出现连接失败错误,怀疑是源不可用: 搜索得知如下解决方案: 1. 先关闭所有源 2. rm -rf /var/lib/apt/lists/*删除/var/lib/apt/lists 所有文件 3. 修改/etc/apt/source.list文件。将源改成163的或者阿里的: (
ubuntu 数据源配置信息
使用apt-get update 失败时更换数据源,亲测可用,更新后apt-get install 成功
ubuntu执行sudo apt-get update时出现"Hash校验和不符"
我使用的是校园网,前段时间想更新u,
ubuntu apt-get update 失败解决
当运行apt-get update后出现如下错误时: 出现了某些故障(-5 - 没有与主机名关联的地址) E: Some index files failed to download, they have been ignored, or old ones used instead. 可以将目录下/var/lib/apt/lists/partial/所有的文件清掉,再次运行apt-get up
Ubuntu 14.04 apt-get update失效解决
当运行apt-get update后出现如下错误时:E: Some index files failed to download, they have been ignored, or old ones used instead.可以将目录下/var/lib/apt/lists/partial/所有的文件清掉,再次运行apt-get update即可!自带源在大陆不好。出现以下错误:/etc/ap...
ubuntu执行apt-get update遇到问题及解决
在ubuntu 16.04中执行sudo apt-get update遇到下面的问题 解决方法:执行命令sudo rm /var/lib/apt/lists/lock
Ubuntu apt-get upgrade 更新失败解决
这两天使用apt下载软件的时候一直出问题,导致什么软件都不能安装成功,出错信息如下Setting up python-all-dev (2.7.12-1~16.04) ... Setting up python-pip-whl (8.1.1-2ubuntu0.4) ... Setting up python-pip (8.1.1-2ubuntu0.4) ... Setting up python-...
Ubantu 18.04 apt-get update 无法更新,更新慢的问题
在终端  cd /etc/apt 修改文件sources.list如果遇到只读问题的话 就用超级用户权限去打开修改sudo vim sources.list把文件的源替换成下面的源 我一直都在用阿里云的 效果还不错!官方源:deb http://archive.ubuntu.com/ubuntu/ trusty main restricted universe multiversedeb http...
Jetson TX1 Ubuntu 14.04 更新源方法
因为Jetson TX1 是 armhf 架构,加上国内GW对外网的封锁,用hosts也没有用,会出现Hash no match的错误。只能找国内的源。 国内的源支持armhf的很少。具体操作如下 Ubuntu armhf版本的源网址不同于普通Ubuntu系统,如果采用如下网址会出现问题,导致sudo apt-get update出现Error。   deb http://archiv
[ubuntu系列]apt-get update 出现failed to fetch
今天添加一个ppa 源 出现如下的问题,而且还很多: W:Failed to fetch mirror://mirrors.ubuntu.com/mirrors.txt/dists/trusty-updates/InRelease  Unable to find expected entry 'main/binary-aarch64/Packages' in Release file (Wr
Ubuntu 关于引起更新源索引(apt-get update)时Hash Sum mismatch的问题
说明 首先这个问题国内出现的比较多,小宽带厂商(例如宽带通、长城、轩惠)等出现的比较多 对于此问题的描述和解决方案中文的资料很乱,且很少有从根本上解决问题的 问题分析中文真正说出问题根本的帖子为 关于引起更新源索引时Hash Sum mismatch问题的真正原因及解决方案先引用 askubuntu.com上面关于此问题的原文解释 给出正解的人叫做Robie Basak This i
Ubuntu 14.04下,apt-get update出现错误
Ubuntu 14.04下,apt-get update出现错误:some index files failed to download. they have been ignored, or old used instead. 经过“骨骼”查询各种资料后发现,镜像源的问题。在software&update -> other software 中,把镜像源的网址换为:http://us.arch
apt-get update失败解决方案
刚准备入坑hadoop,结果在虚拟机上面搭建环境的第一步就被难住了,对,我在jdk的安装上面被难住了!!!长话短说,在运行sudo apt-get  update时,出现了错误:“E:Some index files failed to download.They have beenignored,or old ones usedinstead.”,在网上百度了各位大佬的文章,主要的解决方案分为两...
kali apt-get update失败解决方法
apt-get update ->”Hash Sum mismatch“ 原来是因为url被墙了,要翻墙解决
Linux入门:apt-get update更新失败!!!
一次kali错误处理:apt-get update更新失败!!!错误如下:Err http://security.kali.org sana/updates/main Sources 404 Not Found Err http://security.kali.org sana/updates/contrib Sources 404 Not Found Err http://se
sudo apt-get update出现错误
使用sudo apt-get install update时,出现如下错误:`E: Some index files failed to download. They have been ignored, or old ones used instead.` 具体错误内容为:... ... Ign http://hk.archive.ubuntu.com trusty/restricted Tran
#发现#用sudo apt-get update更新失败的问题
好吧由于之前的虚拟机出了一点点小问题,所以我现在就在重装系统。 然后就顺便归纳转载一点装好系统之后出现的一些小问题啦~ 众所周知,apt-get update 是新安装ubuntu系统之后很多人都会执行的一个命令,更新源。 但是在我们更新源的时候会出现类似这样的报错: 然后百度了一下,/var/lib/apt/lists/这个文件夹存放的是apt的缓存。 这个问题在U
docker中apt-get update更新失败时的解决方法
在RUN apt-get update之前添加RUN mv /etc/apt/sources.list /etc/apt/sources.list.bak && \ echo 'deb http://mirrors.163.com/debian/ jessie main non-free contrib' > /etc/apt/sources.list && \ echo 'deb http://m
apt-get update连接不上
在进行linux软件包下载更新时,报错apt-get update连接不上进入 vi /etc/apt/sources.list 将网址修改为如下之一即可。163源deb http://mirrors.163.com/debian/ jessie main non-free contrib deb http://mirrors.163.com/debian/ jessie-updates mai
Ubuntu14.04下 cmake升级 试过两种办法,
用 sudo apt-get install cmake  默认的是安装2.8版本,有好多库不支持该版本,所以需要升级。以下列举两种方式,第一种不可以,第二种可行。 1.不可行: 通过PPA安装: sudo add-apt-repository ppa:george-edison55/cmake-3.x sudo apt-get update sudo apt-get upgra
ubuntu12.04 apt-get upgrade失败的问题
今天,维护自己ubuntu服务器,使用apt-get upgrade更新源,但是出现下面的失败信息: Err http://archive.canonical.com natty InRelease Err http://security.ubuntu.com oneiric-security InRelease Err http://extras.ub
sudo apt-get update更新源失败
E:Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)     出现这个问题的原因可能是有另外一个程序正在运行,导致资源被锁不可用。而导致资源被锁的原因,可能是上次安装时没正常完成,而导致出现此状况。 解决方法:输入以下命令 sudo rm /var/cache/
运行apt-get update后出现错误
一般错误是如下两种: 1、一般如果你的ubuntu是中文的设定了地区的,错误是如下: W: 无法下载http://ppa.launchpad.net/deluge-team/ppa/ubuntu/dists/natty/main/source/Sources 404 Not Found W: 无法下载http://ppa.launchpad.net/deluge-team/ppa/u
关于Ubuntu sudo apt-get update失败的解决
今天进入Ubuntu莫名出现这种情况, 报错: AppStream cache update completed, but some metadata was ignored due to errors.  E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable) E: Un
ubuntu16.04 apt-get update 失败解决。(虚拟机环境下)
当运行apt-get update后出现如下错误时: E: Some index files failed to download, they have been ignored........... 可能是ubuntu16.04自带的源不好,我们只需要在换一个源即可。 ubuntu 16.04 LTS 修改 国内源(以中科大源为例) 国内有很多ubuntu的源
Ubuntu13.10系统 apt-get update失败解决办法
    由于系统的需要,我的linux内核版本不能太高,如果通过降核的话编译又特别麻烦,所以索性把Ubuntu 14.04.4卸载装了Ubuntu 13.10,这个版本已经停止更新了,当使用apt-get update命令时,会提示忽略和无法下载404等错误,在网上找了很多Ubuntu13.10对应的源的列表,然后把它们加入到了系统的源列表中,可还是不行。但是,所有停止维护的版本都可以使用old源...
Ubuntu apt-get update出现:Hash 校验和不符
出现这个问题的时候,重启过系统。等等都做了,还是不行。在网上找了一些信
docker ubuntu apt-get update 出错Hash Sum mismatch
在docker中使用ubuntu过程出错: apt-get update W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/trusty-updates/universe/binary-amd64/Packages Hash Sum mismatch W: Failed to fetch http://archive.ubun
Ubuntu14.04 更新源时总会出现“Hash校验和不符”的解决方案
最近新装的Ubuntu14.04系统,所以有很多东西需要重新安装,但总会需要去更新源,对于更新源的教程以及源网上有很多教程,如果不出意外的话,是很容易成功的,但是这次更新源是我遇到的最奇葩的一次,无论使用多么新的源,都会出现Hash校验和不符字样,导致更新源失败,后续的一系列操作都做不了。        如果偶尔出现Hash校验和不符,可能是我们所使用的源不符合要求,出现了问题,可以去网上下载最
ubuntu apt-get update 更新源失败的解决办法
用虚拟机新装了ubuntu12.04,更新源的时候出了问题。如图所示 解决办法;如图所示 sudo rm /var/cache/apt/archives/lock sudo rm /var/lib/dpkg/lock
Ubuntu apt-get update失败,更换源操作
sudo mv /etc/apt/sources.list /etc/apt/sources.list.baksudo vim /etc/apt/sources.list deb http://mirrors.aliyun.com/ubuntu/ trusty main restricted universe multiverse deb http://mirrors.aliyun.com/ubu...
ubuntu14.04更新源出错解决
安装ubuntu14.04之后做的第一件事就是更新源,于是从网上找到来网易的源,结果更新后出现如下错误: W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-security/main/binary-i386/Packages  Hash 校验和不符 W: 无法下载 http://mirrors.163.com/ubuntu/dists/t
关于解决apt-get 产生404问题的解决方法
安装‘fix404’应用,可自动禁用损坏软件源。 sudo apt-add-repository ppa:lkjoel/fix404 sudo apt-get update sudo apt-get install fix404 然后运行sudo fix404 命令即可。 其他Ubuntu版本可下载deb包安装@here
Ubuntu14.04无法安装ia32-libs解决方法
sudo apt sudo apt-get install libgtk2.0-0:i386 libxxf86vm1:i386 libsm6:i386 lib32stdc++6
apt-get update失败处理
最近在Ubuntu上面执行sudo apt-get update时出现如下提示: *** Error in `appstreamcli': double free or corruption (fasttop): 0x000000000237b000 *** ======= Backtrace: ========= /lib/x86_64-linux-gnu/libc.so.6(+0
Ubuntu12.04使用apt-get出错——更新软件源
本来打算在Ubuntu上用apt-get安装vsftpd(very secure ftp daemon,ftp服务器),于是输入如下命令:# apt-get install vsftpd  但是出现如下提示:Reading package lists... Done Building dependency tree Reading state information... Done P
ubuntu apt-get update异常解决方案
一般来说刚装上的ubuntu的默认源不太稳定,所以可以先修改源。sudo vi /etc/apt/sources.list以下为欧洲的源,挺好用的:deb http://archive.ubuntu.com/ubuntu hardy main restricted universe multiverse deb http://archive.ubuntu.com/ubuntu hardy-secur
ubuntu apt-get 时遇到waiting for headers ——解决方法
不知为何,当用到apt-get 时总是waiting for headers,上网搜寻了解决方法,在这里记录一下,方便自己,方便别人。          找到 /var/cache/apt/archives/partial  目录,进去之后删除里面的东东即可........
相关热词 c#判断数字不得为负数 c#帧和帧协议 c#算偏移值 c# 在枚举中 c#6 字符串 插值 c#程序中的占位符标签 c#监听数组变化 c# vlc c#索引实现 c# 局域网广播通信
立即提问